nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::analytics::ICustomMetadataPacket Class Referenceabstract

`#include <i_custom_metadata_packet.h>`

Inheritance diagram for nx::sdk::analytics::ICustomMetadataPacket:

## Public Member Functions
virtual const char * | codec () const =0
virtual const char * | data () const =0
virtual int | dataSize () const =0
virtual const char * | contextData () const =0
virtual int | contextDataSize () const =0
Public Member Functions inherited from nx::sdk::Interface< ICustomMetadataPacket, IMetadataPacket0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< ICustomMetadataPacket, IMetadataPacket0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Detailed Description

Arbitrary metadata represented as a byte array.

## Member Function Documentation

## ◆ codec()

virtual const char* nx::sdk::analytics::ICustomMetadataPacket::codec | ( |  | ) | const
| pure virtual

Returns
  Null-terminated ASCII string describing the metadata format in a proprietary way. Never null, nor empty.

## ◆ contextData()

virtual const char* nx::sdk::analytics::ICustomMetadataPacket::contextData | ( |  | ) | const
| pure virtual

Returns
  Pointer to the binary data specific to the particular metadata format, or null if such data is not available.

## ◆ contextDataSize()

virtual int nx::sdk::analytics::ICustomMetadataPacket::contextDataSize | ( |  | ) | const
| pure virtual

Returns
  Size of the data returned by the contextData(), in bytes.

## ◆ data()

virtual const char* nx::sdk::analytics::ICustomMetadataPacket::data | ( |  | ) | const
| pure virtual

Returns
  Pointer to the compressed data. Is null if data size is zero.

## ◆ dataSize()

virtual int nx::sdk::analytics::ICustomMetadataPacket::dataSize | ( |  | ) | const
| pure virtual

Returns
  Size of the compressed data in bytes.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_custom_metadata_packet.h